> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v3/wallet



## OpenAPI

````yaml GET /v3/wallet
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v3/wallet:
    get:
      tags:
        - wallet
      summary: Wallet search
      parameters:
        - in: query
          name: status
          schema:
            type: string
            enum:
              - ACTIVE
              - BLOCKED
              - CLOSED
        - in: query
          name: isVisible
          schema:
            type: integer
            enum:
              - 0
              - 1
        - in: query
          name: isFavourite
          schema:
            type: integer
            enum:
              - 0
              - 1
        - in: query
          name: name
          schema:
            type: string
        - in: query
          name: expand
          explode: false
          schema:
            $ref: '#/components/schemas/WalletExpandV2'
        - $ref: '#/components/parameters/PageNum'
        - $ref: '#/components/parameters/PerPage'
        - $ref: '#/components/parameters/Sort'
      responses:
        '200':
          description: OK
          headers:
            x-pagination-current-page:
              $ref: '#/components/headers/x-pagination-current-page'
            x-pagination-page-count:
              $ref: '#/components/headers/x-pagination-page-count'
            x-pagination-per-page:
              $ref: '#/components/headers/x-pagination-per-page'
            x-pagination-total-count:
              $ref: '#/components/headers/x-pagination-total-count'
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WalletV3'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - bearerAuth: []
components:
  schemas:
    WalletExpandV2:
      type: array
      items:
        type: string
        enum:
          - currency
          - transferSourceWalletId
          - transferTargetWalletId
    WalletV3:
      allOf:
        - $ref: '#/components/schemas/BaseWalletV3'
        - type: object
          properties:
            permissions:
              type: object
              properties:
                canPay:
                  type: boolean
                canTopUp:
                  type: boolean
                canTopUpFromWallet:
                  type: boolean
                canCurrencyExchange:
                  type: boolean
                canCardCreate:
                  type: boolean
                canCardChipAndPinOrder:
                  type: boolean
                canCardVirtualOrder:
                  type: boolean
                canCardDisposableOrder:
                  type: boolean
                canClose:
                  type: boolean
                canExportPDF:
                  type: boolean
                canExportCSV:
                  type: boolean
                canExportXML:
                  type: boolean
                canCryptoBuy:
                  type: boolean
                  example: false
                canCryptoSell:
                  type: boolean
                  example: false
            currency:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
            transferSourceWalletId:
              type: array
              readOnly: true
              items:
                type: integer
            transferTargetWalletId:
              type: array
              readOnly: true
              items:
                type: integer
    BaseWalletV3:
      type: object
      properties:
        id:
          type: integer
        uuid:
          type: string
        balance:
          type: number
        balanceLock:
          number: number
        balanceInProgress:
          type: number
        currencyId:
          type: string
          maxLength: 3
        description:
          type: string
          maxLength: 255
        data:
          oneOf:
            - type: object
              properties:
                type:
                  type: string
                  example: BANK
                accountId:
                  type:
                    - string
                    - 'null'
                details:
                  type: array
                  items:
                    type: object
            - type: object
              properties:
                type:
                  type: string
                  example: CARD
                count:
                  type:
                    - object
                    - 'null'
                countV2:
                  type:
                    - object
                    - 'null'
        flags:
          type: object
          properties:
            isVisible:
              type: boolean
            isFavourite:
              type: boolean
        status:
          type: string
          enum:
            - ACTIVE
            - BLOCKED
        color:
          type: string
          maxLength: 7
        name:
          type: string
        updatedAt:
          type: integer
          example: 1722000000000
  parameters:
    PageNum:
      name: page
      in: query
      schema:
        type: integer
    PerPage:
      name: per-page
      in: query
      schema:
        type: integer
    Sort:
      name: sort
      in: query
      description: |-
        Enter a field name to sort by (with a minus to sort desc):

          id: sort asc
          -id: sort desc
      schema:
        type: string
  headers:
    x-pagination-current-page:
      description: Current page
      schema:
        type: integer
        default: 1
    x-pagination-page-count:
      description: Pages count
      schema:
        type: integer
        example: 6
    x-pagination-per-page:
      description: Items count per page
      schema:
        type: integer
        default: 20
        example: 20
        maximum: 100
        minimum: 1
    x-pagination-total-count:
      description: Total items count
      schema:
        type: integer
        example: 113
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Bad Request
              message:
                type: string
              status:
                type: integer
                example: 400
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````